/* Implement the sendMessage method below! */

package client;

import java.net.*;
import java.io.IOException;

/**
 * Use the MessageSender to send text messages to other users.
 * The udp socket is used to send packets directly to another
 * user's computer, using the information (ip:port) received
 * from the server.
 *
 * Implement the marked part of the sendMessage()-methode below.
 * Take a look at the whole source code, especially at InstantMessenger
 * and NetworkUtilities. Use InstantMessenger.IM to have access to the
 * only existing instance of the InstantMessenger and the gui.
 */

public class MessageSender {
	/** The UDP socket with which we send. */
	private DatagramSocket socket;

	public MessageSender(DatagramSocket socket) {
		this.socket = socket;
	}

	/**
	 * Sends the message to the specified user and returns success or not.
	 * Send the packet in the specified format: type MESSAGE (1), messageLength (2),
	 * messageText (var).
	 */
	boolean sendMessage(String messageText, User user) {
		/* Create packet (containing the messageText) and send it to the user */

		/* Implement */
	}
}